
<?php echo $this->alert->flash(['error', 'success']); ?>

<div class="panel panel-default">
    <div class="panel-heading"><i class="fa fa-table"></i> Kullanıcılar</div>
    <div class="panel-toolbar clearfix">
        <div class="row">
            <div class="col-md-4">
                <?php if ($this->permission('user-delete')): ?>
                    <a class="btn btn-sm btn-info checkall" data-toggle="button"><i class="fa fa-check-square-o"></i> Hepsini Seç</a>
                    <a class="btn btn-sm btn-danger deleteall" href="<?php echo moduleUri('userDelete') ?>"><i class="fa fa-trash-o"></i></a>
                <?php endif; ?>
                <?php if ($this->permission('user-insert')): ?>
                    <a class="btn btn-sm btn-success" href="<?php echo moduleUri('userInsert') ?>"><i class="fa fa-plus"></i> Yeni Kayıt</a>
                <?php endif; ?>
            </div>
            <div class="col-md-8 text-right">
                <?php $this->view('filter') ?>
            </div>
        </div>
    </div>
    <table class="table table-bordered table-hover">
        <thead>
        <tr>
            <th width="40" class="text-center"><i class="fa fa-ellipsis-v"></i></th>
            <th width="50">#</th>
            <th>Kullanıcı Adı</th>
            <th>Grubu</th>
            <th width="100" class="text-right">İşlem</th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($records as $item): ?>
        <tr>
            <td class="text-center"><input type="checkbox" class="checkall-item" value="<?php echo $item->id ?>" /></td>
            <td><?php echo $item->id ?></td>
            <td><?php echo $item->username ?></td>
            <td><?php echo $item->groupName ?></td>
            <td class="text-right">
                <?php if ($this->permission('user-update')): ?>
                    <a class="btn btn-xs btn-primary" href="<?php echo moduleUri('userUpdate', $item->id)?>"><i class="fa fa-edit"></i></a>
                <?php endif; ?>
                <?php if ($this->permission('user-delete')): ?>
                    <a class="btn btn-xs btn-danger confirm-delete" href="<?php echo moduleUri('userDelete', $item->id) ?>"><i class="fa fa-trash-o"></i></a>
                <?php endif; ?>
            </td>
        </tr>
        <?php endforeach; ?>
        </tbody>
    </table>

    <?php if (! empty($paginate)): ?>
        <div class="panel-footer">
            <?php echo $paginate['pagination'] ?>
        </div>
    <?php endif; ?>
</div>